package com.mortals.xhx.module.hik.camera.service;


import com.mortals.framework.common.Rest;
import com.mortals.xhx.module.hik.camera.model.req.CameraListReq;
import com.mortals.xhx.module.hik.camera.model.rsp.CameraDataInfo;
import com.mortals.xhx.module.hik.face.model.req.plan.PlanRecognBlackListReq;
import com.mortals.xhx.module.hik.face.model.rsp.plan.PlanRecognBlackInfo;

import java.util.List;

/**
 * 海康人员接口对接类
 * @author:
 * @date: 2023/4/12 17:47
 */
public interface IHikCameraService {
    /**
     * 查询监控资源点
     * @param cameraListReq
     * @return
     */
    Rest<List<CameraDataInfo>> findPlanRecognBlackList(CameraListReq cameraListReq);

}
